## RENAME INDEX Statement (rename_index_statement)

The RENAME INDEX statement (rename_index_statement) changes the name of an index.

### Syntax

<rename_index_statement> ::= RENAME INDEX <old_index_name> [ON <table_name>] TO <new_index_name>

<old_index_name> ::= <index_name>
<new_index_name> ::= <index_name>

### Explanation

If a schema name is not specified in the table name, the current schema is assumed implicitly.

The specified table name must be the name of an existing base table.

The index identified by the old_index_name must exist. ON <table name> is not necessary if this index is unique.

The current user must be the owner of the specified table or have the INDEX privilege for it.

The new index name must not be identical to an existing index name for the table.